.footer {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  z-index: 2;
  padding: 20px 40px;
  pointer-events: none;

  @include respond-max('mobile') {
    padding: 10px 15px;
  }

  &-inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  &-caption {
    a {
      position: relative;
      display: inline-block;
      width: 100px;
      vertical-align: middle;
      margin-left: 16px;
      transition: 0.3s ease-out;
      @include respond-max('mobile') {
        width: 75px;
        margin-left: 8px;
      }
    }

    .logo_white {
      position: absolute;
      z-index: 1;
      top: 0;
      left: 0;
      opacity: 0;
      transition: var(--theme-dark-transition);
    }
  }

  &-contacts {
    padding: 10px 5px;
    background-color: #000;
    pointer-events: all;
    color: #fff;

    @include respond-max('tablet') {
      opacity: 0;
      visibility: hidden;
      transition: 0.5s ease-out;
    }

    @include respond-max('mobile') {
      padding: 7px 3px;

      span {
        display: none;
      }
    }

    ul {
      display: flex;
      align-items: center;
    }

    li {
      padding: 0 10px;
      line-height: 20px;

      @include respond-max('mobile') {
        padding: 0 7px;
      }

      & + li {
        border-left: 1px solid rgba(#fff, 0.4);
      }

      a {
        display: block;
      }
    }

    .icon {
      width: 18px;
      height: 18px;
      vertical-align: middle;
    }

    .icon-phone {
      @include respond-min('mobile') {
        margin-left: 10px;
      }
    }
  }
}

.is-menu-open {
  .footer-contacts {
    opacity: 1;
    visibility: visible;
    transition-delay: 0.3s;
  }

  .footer-caption a {
    opacity: 0;
  }
}
